Subject: RE: [Forces-protocol] Unicast/Multicast/Broadcast and AD stance & use of TCP/SCTP/UDP/IP in ForCES

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Fri, 19 Mar 2004 11:37:12 -0800

Hi David

Thanks for this clarification. It is very helpful to bring us back on
track. I think it's a good idea to use existing transports like TCP,
SCTP with IP and define our mappings in the non-IP case via TML. This
way we can have an easy interop over IP and also optimize for local
case, by running ForCES directly over TIPC/L2, etc.

Also, I looked at the URL below and agree with Jon and Jamal...it looks
very good. I like the idea of TML as well.

Thanks
Hormuzd

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Putzolu, David
Sent: Thursday, March 18, 2004 3:33 PM
To: [email-masked]
Subject: [Forces-protocol] Unicast/Multicast/Broadcast and AD stance &
use of TCP/SCTP/UDP/IP in ForCES

Hi all.

Just a small clarification on the reliability and
congestion control discussion based on what several
ADs told me in Korea in no uncertain terms.

Any IP-based implementation of ForCES will be forced 
to use a RFC2914-compliant transport for all its 
packets.  That pretty much disallows use of UDP at 
all in the ForCESoverIP case and leaves TCP, SCTP,
and possible RMT as the only transports ForCES can
use over IP.

Both myself and Jon Maloy pushed back on this, saying
that one might want to use UDP in a purely local
scenario for various reasons.  The ADs where adamant,
arguing that one can never guarantee that IP will
stay local, and the IETF would not standardize 
using a non-2914 compliant IP protocol (e.g. UDP).
The ADs pointed to iSCSI as a precedent.

This isn't to say that multicast cannot be used - I
am a fan of the transport abstraction approach that
says that the ForCES protocol will just assume it has
a  multicast transport and a unicast transport, and
that the transport layer mapping ala GSMP will take
care of it.

Below is a URL to some text and drawings based on Alex 
and other's comments - what do you think? Is this an
acceptable solution to transport/multicast/unicast/
retransmit/etc.?

http://www.sstanamera.com/~forces/proto/ForCESLayered.htm

-David

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol